Bug 1313665 - The customer want to see the limitation over 128 [NEEDINFO]
The customer want to see the limitation over 128
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: grub (Show other bugs)
6.5
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: David Kaspar [Dee'Kej]
Release Test Team
: FastFix
Depends On:
Blocks: 1269194 1356056
  Show dependency treegraph
 
Reported: 2016-03-02 02:38 EST by liuwei
Modified: 2016-08-12 15:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
TBD
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-12 15:42:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkaspar: needinfo? (wliu)


Attachments (Terms of Use)
upsteam patch screen (109.20 KB, image/jpeg)
2016-03-02 02:38 EST, liuwei
no flags Details

  None (edit)
Description liuwei 2016-03-02 02:38:41 EST
Created attachment 1132159 [details]
upsteam patch screen

Description of problem:

Cu has installed RHEL 6 and RHEL 7 systems. Now cu connected SIM0 and SIM1 on system via miniSAS HD cable.

When RHEL 6 boots with SIM0 and SIM1, it doesn't boot into OS and gets black screen.  But for the RHEL7 , the error had no found .

From the source code checking in the 0.97 grub  version, I found that  for the 

disk support limits , it is 128.

But in the upsteam ,  there is the patch for fix the disk limits so that  it can recongize  the disk more than 128. 

For the CU questions,  for the patch,  does Red Hat provide it too?  If not ,  How can fix it ?  



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:

1.Install RHEL 6.5x64 UEFI via PXE server.
2.Connect SIM0 and SIM1 to 9300-8e via miniSAS HD cable.
3.Power on system, boot into BIOS setting FRB2->do nothing.
4.Save setting and reboot.
5. System can’t boot into RHEL6.5x64 UEFI with black screen while SIM0/SIM1 both are connect to the same 9300-8e.
6.If only connect one of SIM0 or SIM1, CentOS can boot into normal.
7.RHEL6.7 also have this issue, RHEL7.0 doesn't find this issue.

Actual results:

The system can't boot in the RHEL6.x version 

Expected results:

OS should be boot normal while SIM0/SIM1 both are connect to 9300-8e.

Additional info:

Reproducible: Yes, 100%
If only install 63 pcs SAS SSD with dual path.This issue was not occur.
If only install 64 pcs SAS SSD with dual path.This issue was occur.
So the HDD limit was 63 pcs with dual path or over 126pcs HDD with single path.
Comment 2 David Kaspar [Dee'Kej] 2016-04-20 06:13:59 EDT
Hello Wei,

I don't see any commit from <holcapek@gmail.com> in the official grub2/grub-legacy repository. Please, provide us with a link to the git repository/commit itself.

Wihout it I can't tell if this patch has been already applied in the latest grub package, and I don't have that specific hardware available to test it by myself.

Thank you,

Dee'Kej
Comment 3 John Ruemker 2016-08-12 15:42:05 EDT
When Red Hat shipped 6.8 on May 10, 2016 Red Hat Enterprise Linux 6 entered Production Phase 2. https://access.redhat.com/support/policy/updates/errata#Production_2_Phase
That means only "Critical and Important Security errata advisories (RHSAs) and Urgent Priority Bug Fix errata advisories (RHBAs) may be released"
That also means no new RFEs.  The customer case requesting this issue has also been closed for some time, so this BZ is being closed WONTFIX. Please re-open this feature request if it is critical for the customer and provide a thorough business justification.

Note You need to log in before you can comment on or make changes to this bug.